Subject: Re: [PATCH 06/11] docs: add design doc for config-batch

From: Derrick Stolee <[email-masked]>
Date: Mon, 9 Feb 2026 23:22:12 -0500

On 2/5/2026 12:38 PM, Kristoffer Haugsbakk wrote:
> On Wed, Feb 4, 2026, at 15:19, Derrick Stolee via GitGitGadget wrote:

>> +`git config list [--<scope>]`::
>> +	Getting all values, regardless of config key, would require a
>> +	multi-valued output similar to the `help` command. This tool will
>> +	likely assume advanced options such as `--show-origin`.
> 
> What does it mean to assume options?

I mean that since we expect to have the output parsed by tools, then
we will probably want the maximum amount of information by default.
Maybe --show-origin isn't as helpful as --show-scope.
 
Thanks,
-Stolee